#ifndef QVIDEOSHADER_H
#define QVIDEOSHADER_H

#include "qglslshader.h"

namespace SOPENGL
{
    class QVideoShader : public QGLSLShader
    {
    public:
        QVideoShader();
        virtual ~QVideoShader();
        virtual void CreateShader(const char* pSrcVShader, const char* pSrcFShader);
        virtual void CreateTexture(int nWidth, int nHeight, QOpenGLTexture::Target target, QOpenGLTexture::TextureFormat format);
        virtual void SetUniformValue();

    protected:
        int m_ImageWidth;
        int m_ImageHeight;
        int m_nDisplayType;


    };
}


#endif // QVIDEOSHADER_H
